package com.doverfuelingsolutions.issp.utils.log

import android.os.Environment
import com.wayne.www.waynelib.util.log.DFSLogType
import com.wayne.www.waynelib.util.log.DFSLogger

class DFSLog {

    companion object {

        const val TAG = "robin"
        var console = true
        var file = true
        var saveDays = 7

        @Suppress("DEPRECATION")
        val folder = "${Environment.getExternalStorageDirectory().absolutePath}/dfs/log"

        fun v(vararg contents: Any?) {
            DFSLogger.log(DFSLogType.Verbose, *contents)
        }
        fun d(vararg contents: Any?) {
            DFSLogger.log(DFSLogType.Debug, *contents)
        }

        fun i(vararg contents: Any?) {
            DFSLogger.log(DFSLogType.Info, *contents)
        }

        fun w(vararg contents: Any?) {
            DFSLogger.log(DFSLogType.Warn, *contents)
        }

        fun e(vararg contents: Any?) {
            DFSLogger.log(DFSLogType.Error, *contents)
        }
    }
}